wszystkie opcje
bullseye  ] [  bookworm  ] [  sid  ]
[ Pakiet źródłowy:  ]

Pakiet: libnettle8 (3.7.3-1) [debports]

Odnośniki dla libnettle8

Screenshot

Zasoby systemu Debian:

Pobieranie pakietu źródłowego :

Nie znaleziono

Opiekunowie:

Zasoby zewnętrzne:

Podobne pakiety:

Niskopoziomowa biblioteka kryptograficzna (symetryczne i jednostronne algorytmy)

Nettle jest biblioteką kryptograficzną zaprojektowaną w taki sposób, aby obsługiwać, w większym lub mniejszym stopniu, zadania w zakresie: programowania zestawów narzędzi dla języków zorientowanych obiektowo (C++, Python, Pike, ...), aplikacji takich jak LSH czy GNUPG, a nawet obszaru jądra.

Nettle próbuje rozwiązać problem dostarczania wspólnego zbioru algorytmów kryptograficznych wysokopoziomowym aplikacjom poprzez implementację niezależnego od kontekstu zbioru algorytmów kryptograficznych. W tym świetle Nettle nie wykonuje operacji związanych z przydzielaniem pamięci lub wejściem/wyjściem danych, po prostu udostępnia algorytmy kryptograficzne aplikacjom do użycia ich w dowolnym środowisku i w sposób jaki będzie wymagany.

Pakiet zawiera symetryczne i jednostronne algorytmy kryptograficzne. Aby uniknąć uzależnienia tego pakietu od libgmp, algorytmy asymetryczne wyodrębniono w oddzielnej bibliotece - "libhogweed".

Inne pakiety związane z libnettle8

  • wymaga
  • poleca
  • sugeruje
  • enhances

Pobieranie libnettle8

Pobierz dla wszystkich dostępnych architektur
Architektura Rozmiar pakietu Rozmiar po instalacji Pliki
x32 (port nieoficjalny) 263,9 KiB463,0 KiB [lista plików]